(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('vue')) :
  typeof define === 'function' && define.amd ? define(['exports', 'vue'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.Labeled = {}, global.Vue));
})(this, (function (exports, vue) { 'use strict';

  var script = vue.defineComponent({
      name: "Labeled",
      props: {
          label: {
              type: String,
              required: true,
          },
      },
      setup: function setup(props, ref) {
          var slots = ref.slots;

          return function () {
              var inner = [
                  vue.h("div", {
                      class: ["cont"],
                  }, [
                      vue.h("div", {
                          class: ["label"],
                      }, [props.label]),
                      vue.h("div", {
                          class: ["content"],
                      }, slots) ]) ];
              var outer = [
                  vue.h("div", {
                      class: ["outercont"],
                  }, inner) ];
              return outer;
          };
      },
  });

  function styleInject(css, ref) {
    if ( ref === void 0 ) { ref = {}; }
    var insertAt = ref.insertAt;

    if (!css || typeof document === 'undefined') { return; }

    var head = document.head || document.getElementsByTagName('head')[0];
    var style = document.createElement('style');
    style.type = 'text/css';

    if (insertAt === 'top') {
      if (head.firstChild) {
        head.insertBefore(style, head.firstChild);
      } else {
        head.appendChild(style);
      }
    } else {
      head.appendChild(style);
    }

    if (style.styleSheet) {
      style.styleSheet.cssText = css;
    } else {
      style.appendChild(document.createTextNode(css));
    }
  }

  var css_248z = "\n.outercont {\n  display: inline-block;\n}\n.cont {\n  display: flex;\n  align-items: center;\n  padding: 2px;\n  border: solid 1px;\n}\n.label {\n  color: #007;\n  margin-left: 2px;\n}\n.content {\n  border: solid 1px #777;\n  padding: 2px;\n  margin-left: 5px;\n}\n";
  styleInject(css_248z);

  script.__file = "src/Labeled.vue";

  exports.Labeled = script;

  Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=index.umd.js.map
